/*******************************************************************************
 * SeqAct_PlayCameraAnim generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SeqAct_PlayCameraAnim extends SequenceAction
    native(Sequence)
    hidecategories(Object);

var() CameraAnim CameraAnim;
var() bool bLoop;
var() bool bRandomStartTime;
var() float BlendInTime;
var() float BlendOutTime;
var() float Rate;
var() float IntensityScale;
var() Camera.ECameraAnimPlaySpace PlaySpace;
var() Actor UserDefinedSpaceActor;

static event int GetObjClassVersion()
{
    return super(SequenceObject).GetObjClassVersion() + 1;
    //return ReturnValue;    
}

defaultproperties
{
    BlendInTime=0.20
    BlendOutTime=0.20
    Rate=1.0
    IntensityScale=1.0
    InputLinks(0)=(LinkDesc="Play",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    InputLinks(1)=(LinkDesc="Stop",bHasImpulse=false,QueuedActivations=0,bDisabled=false,bDisabledPIE=false,LinkedOp=none,DrawY=0,bHidden=false,ActivateDelay=0.0,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    ObjName="Play CameraAnim"
}